# Class DuplicationMetricsFactory

java.lang.Object
picard.sam.DuplicationMetricsFactory

public class DuplicationMetricsFactory extends Object
Factory class that creates either regular or flow-based duplication metrics. Supports MarkDuplicates with --flowMode

## Constructor Summary

Constructors
Constructor
Description
`DuplicationMetricsFactory()`

## Method Summary

Modifier and Type
Method
Description
`static DuplicationMetrics`
`createMetrics()`
Create non-flow duplication metrics
`static DuplicationMetrics`
`createMetrics(boolean flowMetrics)`
Create empty regular of flow duplication metrics

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DuplicationMetricsFactory

public DuplicationMetricsFactory()

## Method Details

### createMetrics

public static DuplicationMetrics createMetrics(boolean flowMetrics)
Create empty regular of flow duplication metrics

Parameters:
  `flowMetrics` -
Returns:
  DuplicationMetrics

### createMetrics

public static DuplicationMetrics createMetrics()
Create non-flow duplication metrics

Returns: